Get all stock records for a store after a modification timestamp.
Get stock records for a store.
If no warehouseUids in request, the response contains stock records for all warehouses the storeUid in url has VIEW access to.
Else, the storeUid in url MUST have VIEW access all warehosueUids in request.
Returns stock records for all warehouses a store has VIEW asscess to.
post/tenants/{tenantUid}/stores/{storeUid}/stock
Authorizations
AuthorizationstringRequired
Token received from the auth service
Path parameters
storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
Body
modifiedAfterstring · date-timeRequired
warehouseUidsstring[]Optional
Responses
200Success
application/json
post/tenants/{tenantUid}/stores/{storeUid}/stock
POST /v2/tenants/{tenantUid}/stores/{storeUid}/stock HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 69
{
"modifiedAfter": "2026-01-01T00:00:00.000Z",
"warehouseUids": [
"text"
]
}200Success
{
"items": [
{
"productUid": "text",
"productName": "text",
"productSku": "text",
"totalQuantityReserved": 1,
"totalQuantityStock": 1,
"warehouseStockDetails": [
{
"locationLabel": "text",
"maxStockLevel": 1,
"minStockLevel": 1,
"quantityReserved": 1,
"quantityStock": 1,
"storeUid": "text",
"storeName": "text",
"warehouseUid": "text",
"warehouseName": "text"
}
]
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}PreviousGet stock list for a list of products and locations
NextSearch product for a store with stockInfo
Last updated
Was this helpful?

